package jogo;

import java.io.Serializable;

public class Ranking implements Serializable, Comparable<Ranking> {

    private String nome;
    private int pontos;

    public Ranking(String nome, int pontos) {
        this.nome = nome;
        this.pontos = pontos;
    }

    public int getPontos() {
        return pontos;
    }

    public String imprimirDados() {
       return "Jogador: " + this.nome + ", Pontos: " + this.pontos;
    }

    @Override
    public int compareTo(Ranking r) {
        
        if (this.pontos < r.getPontos()){
            return 1;
        }
        if (this.pontos > r.getPontos()){
            return -1;
        }
        return 0;
    }
    
}
