package jogo;

public class Inimigo extends Elemento {

    private int velocidade;
    private boolean direc;

    public Inimigo(Principal jogo, String imageNome, int px, int py, int velocidade, boolean altitude, int ID, boolean direc) {
        super(jogo, imageNome, px, py);
        this.velocidade = velocidade;
        super.altitude = altitude;
        this.direc = direc;
        super.ID = ID;

    }

    @Override
    public void atualizar() {
        if (direc) {
            super.x += this.velocidade;
        } else {
            super.x -= this.velocidade;
        }
        super.y += super.deslocamento;
    }
    
    public void alteraDirec(){
        if (this.direc){
            this.direc = false;
            this.icone = this.carregaImagem(this.imageNome + "2.png");
        } else {
            this.direc = true;
        }
    }
}
