package jogo;

public class Tiro extends Elemento {

    private boolean dispara;

    public Tiro(Principal jogo, String imageNome, int px, int py, int j, boolean altitude, int largura) {
        super(jogo, imageNome, px, py);
        super.ID = j;
        super.altitude = altitude;
        super.x = super.x + largura / 2 - super.largura / 2;
        this.dispara = true;
    }

    @Override
    public void atualizar() {
        if (dispara) {
            super.y -= 10;
            this.dispara = false;
        } else {
            super.y -= 20;
        }
    }
}
